package org.tizen.gwt.sample.raphaelpaint.client.overlay;

import com.google.gwt.core.client.JavaScriptObject;

public class TizenApplication extends JavaScriptObject {

	public static final native TizenApplication getCurrentApplication() /*-{
		if(typeof $wnd.tizen !== "undefined" && $wnd.tizen.application) {
			return $wnd.tizen.application.getCurrentApplication();
		}
		return null;
	}-*/;
	
	public static final native void log(String msg) /*-{
		$wnd.tlib.logger.info(msg);
	}-*/;
	
	protected TizenApplication() {}

	public final native void exit() /*-{
		this.exit();
	}-*/;
}
